Gda.ServerOperationType – Gda-6.0 Reference Manual

# ServerOperationType

## Description:

[ CCode ( cprefix = "GDA_SERVER_OPERATION_" , has_type_id = false ) ]
public enum ServerOperationType
Namespace: Gda
Package: Gda-6.0

## Content:

### Enum values:

- ADD_COLUMN
- ALTER_USER
- COMMENT_COLUMN
- COMMENT_TABLE
- CREATE_DB
- CREATE_INDEX
- CREATE_TABLE
- CREATE_USER
- CREATE_VIEW
- DROP_COLUMN
- DROP_DB
- DROP_INDEX
- DROP_TABLE
- DROP_USER
- DROP_VIEW
- LAST
- RENAME_COLUMN
- RENAME_INDEX
- RENAME_TABLE

### Static methods:

- public static ServerOperationType from_string (string str)

### Methods:

- public unowned string to_string ()